Cannot upgrade Firefox 47.0.1 on macOS

UNCONFIRMED
Assigned to

Status

UNCONFIRMED
a year ago
7 months ago

People

(Reporter: philip.d.moore, Assigned: pmoore)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

a year ago
Created attachment 8897952 [details]
Screen Shot 2017-08-16 at 18.54.37.png

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/603.3.8 (KHTML, like Gecko) Version/10.1.2 Safari/603.3.8

Steps to reproduce:

I received a macOS notification that Firefox 54.0.1 is available. I clicked on the notification.


Actual results:

A dialogue box opened with the message:

Unable to Update

A recommended security and stability update is available, but you do not have the system permissions required to install it. Please contact your system administrator, or try again from an account that has permission to install software on this computer.

You can always get the latest version of Firefox at:
https://www.mozilla.org/firefox/

This is an untampered installation of firefox, that I have not customised in any way. I previously was running OS X 10.10, and now upgraded to macOS Sierra, and the problem still persists.

I captured logging in the Browser Console, which reported:

NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]

This error had a hyperlink pointing to view-source:resource://gre/components/nsUpdateService.js (line/char 4568:0) 


Expected results:

Firefox should have upgraded from 47.0.1 to 54.0.1.
Component: Untriaged → Releases
Product: Firefox → Release Engineering
QA Contact: catlee
Version: 47 Branch → unspecified
Hey Ben,

Any ideas what might be going on here, or things that might help further troubleshoot this issue? It's my brother's computer! :)

Pete
Flags: needinfo?(bhearsum)
Assignee: nobody → pmoore
(In reply to Phil Moore from comment #0)
> Created attachment 8897952 [details]
> Screen Shot 2017-08-16 at 18.54.37.png
> 
> User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6)
> AppleWebKit/603.3.8 (KHTML, like Gecko) Version/10.1.2 Safari/603.3.8
> 
> Steps to reproduce:
> 
> I received a macOS notification that Firefox 54.0.1 is available. I clicked
> on the notification.
> 
> 
> Actual results:
> 
> A dialogue box opened with the message:
> 
> Unable to Update
> 
> A recommended security and stability update is available, but you do not
> have the system permissions required to install it. Please contact your
> system administrator, or try again from an account that has permission to
> install software on this computer.

It sounds like you don't have write permissions to the installation location. Perhaps your account type changed, or somehow the ownership changed when you upgraded to Sierra?

Robert, do you have insights to add? I'm a bit surprised that there's a notification when the update can't be applied, but maybe that's normal...
Flags: needinfo?(bhearsum) → needinfo?(robert.strong.bugs)
We should be notifying that an update is available even when the client can't update but it shouldn't try to apply the update. With this being 47.0.1 there have been several changes to how this is handled on OS X with the biggest being bug 394984 which landed for Firefox 49. I would suggest downloading Firefox 49 or above and try to reproduce again since chances are this won't happen with the fix from bug 394984.
Flags: needinfo?(robert.strong.bugs)
(In reply to Robert Strong [:rstrong] (use needinfo to contact me) from comment #3)
> We should be notifying that an update is available even when the client
> can't update but it shouldn't try to apply the update. With this being
> 47.0.1 there have been several changes to how this is handled on OS X with
> the biggest being bug 394984 which landed for Firefox 49. I would suggest
> downloading Firefox 49 or above and try to reproduce again since chances are
> this won't happen with the fix from bug 394984.

I'll have a stab at this in January when I'm visiting my brother again.
Bulk change of QA Contact to :jlund, per https://bugzilla.mozilla.org/show_bug.cgi?id=1428483
QA Contact: catlee → jlund
You need to log in before you can comment on or make changes to this bug.